Skip to main content
Compute Management/VM Related Interfaces
PUTVM Related InterfacesSince 3.7.0SynchronousAuth Required

Update Priority Config

Update Priority Config

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Body Fields

  • updatepriorityconfigObjectRequired

    updatepriorityconfig request body object.

    • cpuSharesInteger

      No description provided.

    • oomScoreAdjInteger

      No description provided.

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/vm-priority-config/{uuid}/actions

/zstack/v1/vm-priority-config/{uuid}/actions

Operation ID

UpdatePriorityConfig

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vm-priority-config/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatepriorityconfig":{"cpuShares":1,"oomScoreAdj":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history